package qsrtdemo;

import java.awt.BorderLayout;
import java.awt.Container;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;
import javax.swing.JApplet;
import javax.swing.JButton;
import javax.swing.JFrame;
import javax.swing.SwingUtilities;

/**
 * This is used to run the program as an applet in a web browser. The class "Main"
 * is still used for the program's main window, this class just shows a button to
 * open up an instance of the program.
 *
 * @author Michael Hawes
 */
public class MainApplet extends JApplet implements ActionListener {

    private Main popout;
    private JButton btnPopout;

    @Override
    public void init() {
        // Need to create button in Event Dispatch Thread
        SwingUtilities.invokeLater(new Runnable() {
            public void run() {
                Container pane = getContentPane();

                btnPopout = new JButton("Run the demonstration");
                btnPopout.addActionListener(MainApplet.this);

                pane.add(btnPopout, BorderLayout.CENTER);
            }
        });
    }

    public void actionPerformed(ActionEvent e) {
        Object source = e.getSource();
        if(source==btnPopout) {
            popout = new Main();
            popout.setVisible(true);
            popout.setDefaultCloseOperation(JFrame.DISPOSE_ON_CLOSE);
        }
    }

}
