package qsrtdemo.model;

/**
 * This is the step type for choosing a pivot in a new partition
 *
 * @author Michael Hawes
 */
public class StartPartStep extends PartitionStep {
    
    private int newLeftIndex;
    private int newRightIndex;
    
    public StartPartStep(int[] newArray, int newPivot, int newLeftIndex, int newRightIndex) {
        super(newArray, newPivot);
        this.newLeftIndex = newLeftIndex;
        this.newRightIndex = newRightIndex;
    }
    
    public int getLeftIndex() {
        return newLeftIndex;
    }
    
    public int getRightIndex() {
        return newRightIndex;
    }
    
    public String toString(int indentLvl) {
        String indent = ModelTest.createIndent(indentLvl);
        String output = indent+"Starting new partition, new pivot index: "+getPivot()+" new left index: "+newLeftIndex+" new right index: "+newRightIndex;
        return output;
    }
}
