package qsrtdemo.model;

/**
 * This is the step type for confirming the position of a value
 *
 * @author Michael Hawes
 */
public class ValStep extends PartitionStep {
    
    public static final int VAL_PIVOTEND = 0;
    public static final int VAL_SINGLEVAL = 1;
    
    private int valType;
    private int valIndex;
    
    public ValStep(int[] newArray, int valType, int valIndex) {
        super(newArray, valIndex);
        this.valType = valType;
        this.valIndex = valIndex;
    }
    
    public int getValType() {
        return valType;
    }
    
    public int getValIndex() {
        return valIndex;
    }
    
    // mike's testing method
    @Override
    public String toString(int indentLvl) {
        String indent = ModelTest.createIndent(indentLvl);
        String output = indent;
        switch(valType) {
            case VAL_PIVOTEND:
                output = output + "Pivot is minimum in partition, leaving it at the end at "+valIndex;
                break;
            case VAL_SINGLEVAL:
                output = output + "Partition consists of a single value at "+valIndex+", no further sorting needed";
                break;
            default:
                output = output + "Invalid step type";
        }
        return output;
    }
    
}
